# FoundationClasses
TKMath
math

# math_CompareOfValueAndWeight Class Reference

`#include <math_CompareOfValueAndWeight.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | math_CompareOfValueAndWeight ()
Standard_EXPORT Standard_Boolean | IsLower (const math_ValueAndWeight &Left, const math_ValueAndWeight &Right) const
| Returns True if <Left.Value()> is lower than <Right.Value()>. .
Standard_EXPORT Standard_Boolean | IsGreater (const math_ValueAndWeight &Left, const math_ValueAndWeight &Right) const
| Returns True if <Left.Value()> is greater than <Right.Value()>. .
Standard_EXPORT Standard_Boolean | IsEqual (const math_ValueAndWeight &Left, const math_ValueAndWeight &Right) const
| returns True when <right> and <left> are equal.

## Constructor & Destructor Documentation

Standard_EXPORT math_CompareOfValueAndWeight::math_CompareOfValueAndWeight | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean math_CompareOfValueAndWeight::IsEqual | ( | const math_ValueAndWeight & | Left,
|  | const math_ValueAndWeight & | Right
| ) | const

Standard_EXPORT Standard_Boolean math_CompareOfValueAndWeight::IsGreater | ( | const math_ValueAndWeight & | Left,
|  | const math_ValueAndWeight & | Right
| ) | const

Standard_EXPORT Standard_Boolean math_CompareOfValueAndWeight::IsLower | ( | const math_ValueAndWeight & | Left,
|  | const math_ValueAndWeight & | Right
| ) | const

void math_CompareOfValueAndWeight::operator delete | ( | void * | anAddress | ) | `[inline]`

void* math_CompareOfValueAndWeight::operator new | ( | size_t | size | ) | `[inline]`

void* math_CompareOfValueAndWeight::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- math_CompareOfValueAndWeight.hxx